package com.yeejoin.amos.boot.module.jg.biz.edit.esUpdate.strategy;

import com.yeejoin.amos.boot.module.common.api.dto.IBaseChangeData;

public interface EsUpdateStrategy<T extends IBaseChangeData> {
    Class<T> getSupportType();

    void updateEsData(String record, T data);
}
